curl --request GET \
--url https://astreus.ai/api/v1/companies \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"companies": [
{
"id": "33c210d5-7e67-436a-b240-96ba73998b12",
"name": "Apple Inc.",
"legal_name": "Apple Inc.",
"cik": "0000320193",
"ticker": "AAPL",
"exchange": "Nasdaq",
"country_code": "US",
"sector": "Technology",
"industry": "Consumer Electronics",
"price": 344.63,
"listing_currency": "USD",
"change_percent": -1.22668,
"volume": 67842804,
"market_cap": 5034686918690,
"pe_ratio": 39.5672,
"fx_per_usd": null,
"logo_png_s3_key": "logos/cik=0000320193/512.png",
"website": "https://www.apple.com",
"latest_filing_date": "2026-07-31",
"brand_mark": "https://cdn.brandfetch.io/apple.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"brand_mark_checked": true,
"share_classes": null,
"routeKey": "AAPL"
},
{
"id": "3dc3b782-6b1c-455e-80ff-d4e8f07a09f3",
"name": "NVIDIA CORP",
"legal_name": "NVIDIA CORP",
"cik": "0001045810",
"ticker": "NVDA",
"exchange": "Nasdaq",
"country_code": "US",
"sector": "Technology",
"industry": "Semiconductors",
"price": 204.64,
"listing_currency": "USD",
"change_percent": -4.22166,
"volume": 165923799,
"market_cap": 4941442080000,
"pe_ratio": 25.871,
"fx_per_usd": null,
"logo_png_s3_key": "logos/cik=0001045810/512.png",
"website": "https://www.nvidia.com",
"latest_filing_date": "2026-08-26",
"brand_mark": "https://cdn.brandfetch.io/nvidia.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"brand_mark_checked": true,
"share_classes": null,
"routeKey": "NVDA"
}
],
"total": 1665,
"countries": [
{
"country_code": "US",
"count": 623
},
{
"country_code": "SA",
"count": 376
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}List companies
List published companies. The response carries total and a per-country countries[] facet. Each row’s routeKey (ticker for an SEC registrant, else the platform key = cik) is the identifier to pass to /companies/; id is an internal record id (the primary security’s, or the company’s when it has no quote) that no route accepts.
curl --request GET \
--url https://astreus.ai/api/v1/companies \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/companies")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"companies": [
{
"id": "33c210d5-7e67-436a-b240-96ba73998b12",
"name": "Apple Inc.",
"legal_name": "Apple Inc.",
"cik": "0000320193",
"ticker": "AAPL",
"exchange": "Nasdaq",
"country_code": "US",
"sector": "Technology",
"industry": "Consumer Electronics",
"price": 344.63,
"listing_currency": "USD",
"change_percent": -1.22668,
"volume": 67842804,
"market_cap": 5034686918690,
"pe_ratio": 39.5672,
"fx_per_usd": null,
"logo_png_s3_key": "logos/cik=0000320193/512.png",
"website": "https://www.apple.com",
"latest_filing_date": "2026-07-31",
"brand_mark": "https://cdn.brandfetch.io/apple.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"brand_mark_checked": true,
"share_classes": null,
"routeKey": "AAPL"
},
{
"id": "3dc3b782-6b1c-455e-80ff-d4e8f07a09f3",
"name": "NVIDIA CORP",
"legal_name": "NVIDIA CORP",
"cik": "0001045810",
"ticker": "NVDA",
"exchange": "Nasdaq",
"country_code": "US",
"sector": "Technology",
"industry": "Semiconductors",
"price": 204.64,
"listing_currency": "USD",
"change_percent": -4.22166,
"volume": 165923799,
"market_cap": 4941442080000,
"pe_ratio": 25.871,
"fx_per_usd": null,
"logo_png_s3_key": "logos/cik=0001045810/512.png",
"website": "https://www.nvidia.com",
"latest_filing_date": "2026-08-26",
"brand_mark": "https://cdn.brandfetch.io/nvidia.com/icon?c=1idQJ_8ukVnXwK_PLYs&fallback=404",
"brand_mark_checked": true,
"share_classes": null,
"routeKey": "NVDA"
}
],
"total": 1665,
"countries": [
{
"country_code": "US",
"count": 623
},
{
"country_code": "SA",
"count": 376
}
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
ISO-2 country code (US, SA, AE, JP, …); an invalid code is ignored.
Filter by sector name.
Name, legal name or ticker contains, plus the global search's top 25 matches (aliases, typos).
public (default) = listed companies; private = the private-company lane (XPRV keys); all = both; delisted = listed issuers with a recorded delisting date. Another value is a 400.
public, private, all, delisted Sort column; default market-cap ranking.
name, price, net_change, change, volume, market_cap, pe asc or desc (default).
asc, desc 1–1000, default 100; above 1000 is a 400 (page with offset).
1 <= x <= 1000Default 0.
x >= 0